Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.algorithms.optimization
Class NegativeDifferentiableFunction

    java.lang.Object
      de.jstacs.algorithms.optimization.DifferentiableFunction
          de.jstacs.algorithms.optimization.NegativeDifferentiableFunction

All Implemented Interfaces:
  Function

    public class NegativeDifferentiableFunction

extends DifferentiableFunction

The function -f for a given function f.

Author:
  Jens Keilwagen

Constructor Summary
`NegativeDifferentiableFunction(DifferentiableFunction f)` Creates the function f for which -f should be calculated.

Method Summary
`double` | `evaluateFunction(double[] x)` Evaluates the function at a certain vector (in mathematical sense) `x`.
`double[]` | `evaluateGradientOfFunction(double[] x)` Evaluates the gradient of a function at a certain vector (in mathematical sense) `x`.
`int` | `getDimensionOfScope()` Returns the dimension of the scope of the function.

Methods inherited from class de.jstacs.algorithms.optimization.DifferentiableFunction
`findOneDimensionalMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NegativeDifferentiableFunction

    public NegativeDifferentiableFunction(DifferentiableFunction f)

  Creates the function f for which -f should be calculated.

  Parameters:
    `f` - the differentiable function

Method Detail

### evaluateFunction

    public double evaluateFunction(double[] x)
                            throws DimensionException,
                                   EvaluationException

  Description copied from interface: `Function`
  Evaluates the function at a certain vector (in mathematical sense) `x`.

  Parameters:
    `x` - the current vector
  Returns:
    the evaluation of the function
  Throws:
    `DimensionException` - if dim(x) != n, with f: R^n -> R
    `EvaluationException` - if there was a mistake in evaluating the function

### getDimensionOfScope

    public int getDimensionOfScope()

  Description copied from interface: `Function`
  Returns the dimension of the scope of the function.

  Returns:
    dimension of the scope; n, with f: R^n -> R

### evaluateGradientOfFunction

    public double[] evaluateGradientOfFunction(double[] x)
                                        throws DimensionException,
                                               EvaluationException

  Description copied from class: `DifferentiableFunction`
  Evaluates the gradient of a function at a certain vector (in mathematical sense) `x`.

  Specified by:
    `evaluateGradientOfFunction` in class `DifferentiableFunction`
  Parameters:
    `x` - the current vector
  Returns:
    the evaluation of the gradient of a function; has dimension `Function.getDimensionOfScope()`
  Throws:
    `DimensionException` - if dim(x) != n, with f: R^n -> R
    `EvaluationException` - if there was something wrong while evaluating the gradient
  See Also:
    `Function.getDimensionOfScope()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD